Skip to main content
`Ctrl`+`K`
scipy.stats.

# scoreatpercentile

scipy.stats.scoreatpercentile(a, per, limit=(), interpolation_method='fraction', axis=None)

  Calculate the score at a given percentile of the input sequence.

  For example, the score at `per=50` is the median. If the desired quantile lies between two data points, we interpolate between them, according to the value of interpolation. If the parameter limit is provided, it should be a tuple (lower, upper) of two values.

  Parameters:
    a array_like

      A 1-D array of values from which to extract score.

    per array_like

      Percentile(s) at which to extract score. Values should be in range [0,100].

    limit tuple, optional

      Tuple of two scalars, the lower and upper limits within which to compute the percentile. Values of a outside this (closed) interval will be ignored.

    interpolation_method{‘fraction’, ‘lower’, ‘higher’}, optional

      Specifies the interpolation method to use, when the desired quantile lies between two data points i and j The following options are available (default is ‘fraction’):

      > - ‘fraction’: `i + (j - i) * fraction` where `fraction` is the fractional part of the index surrounded by `i` and `j`

      > - ‘lower’: `i`

      > - ‘higher’: `j`

    axis int, optional

      Axis along which the percentiles are computed. Default is None. If None, compute over the whole array a.

  Returns:
    score float or ndarray

      Score at percentile(s).

  See also

  `percentileofscore`, `numpy.percentile`

  Notes

  This function will become obsolete in the future. For NumPy 1.9 and higher, `numpy.percentile` provides all the functionality that `scoreatpercentile` provides. And it’s significantly faster. Therefore it’s recommended to use `numpy.percentile` for users that have numpy >= 1.9.

  Examples

      >>> import numpy as np
      >>> from scipy import stats
      >>> a = np.arange(100)
      >>> stats.scoreatpercentile(a, 50)
      49.5